當前位置:首頁 » 視頻軟體 » cad怎樣增加口令
擴展閱讀
生內脯怎樣做好吃 2023-02-04 16:18:22
如何搜一件事情的原因 2023-02-04 16:18:16

cad怎樣增加口令

發布時間: 2022-11-30 12:10:30

A. cad口令是什麼

cad口令就是所謂的快捷命令。。。
是AutoCAD為了提高繪圖速度定義的快捷方式。。。
它用一個或幾個簡單的字母來代替常用的命令。。。
使我們不用去記憶眾多的長長的命令。。。
也不必為了執行一個命令,在菜單和工具欄上尋尋匿匿。。。
所有定義的快捷命令都保存在AutoCAD安裝目錄下SUPPORT子目錄中的ACAD.PGP文件中。。。
可以通過修改該文件的內容來定義自己常用的快捷命令。。。
我這有口令大全你要嗎。。。
要的話發給你。。。

B. 在cad中怎樣添加工具欄中沒有的命令啊

CAD什麼版本?,
不同的版本不完全相同,不過也差不了多少,
2006以上的參考下面:
輸入
toolbar
命令
然後點到工具欄,右鍵可以新建一個工具欄,工具欄是包括很多工具按鈕的一個長條的東東,然後你就可以在這個工具欄上加上按鈕,
或者你不想新建工具欄的話,可以選中一個現有的工具欄,想要添加現有的按鈕的話,可以把下面那個「命令列表」的圖標拖到上面來,就可以新建一個新的已經存在的按紐,
如果你要新建一個不存在的按紐命令,可以點命令列表的「新建」,就新建一個按鈕,在右邊的窗口中(就是那個特性的窗口)可以輸入命令,或者是圖像,也可以把這個按鈕改名稱,改好後就在左邊的命令列表中多了一個你建的按鈕了,把這個按鈕拖到上面那個窗口中,就行了,
CAD2006以下的更容易了,直接在按鈕上點右鍵,選那個什麼自定義就可以了,我現在沒有CAD2006以下的版本了,忘記具體怎麼搞了,不過不是很難的,看一下,亂點一下就可以成功。

C. AutoCAD 操作口令

CAD快捷鍵:
A 圓弧
B 創建塊
C 圓
D 標注樣式管理器
E 刪除
F 圓角
G 群組
H 圖案填充
I 插入塊
L 直線
M 移動
O 偏移
P 平移
S 拉伸
W 外部塊
V 視圖對話框
X 分解
Z 顯示縮放
T 多行文字
co 復制
MI 鏡像
AR 陣列
RO 旋轉
SC 比例
LE 引線管理器
EX 延伸
TR 修剪
ST 文字樣式管理器
DT 單行文字
PO 單點
XL 參照線
ML 多線
PL 多段線
POL 多邊形
REC 矩形
SPL 樣條曲線
EL 橢圓
CH 特性
CHA 倒角
BR 打斷
DI 查詢距離
AREA 面積
ID 點坐標
MA 特性匹配
MASSPROP 質量特性
LS 列表顯示
TIME 時間
SETTVAR 設置變數
LA 圖層
COLOR 顏色
LT 線型管理
LW 線寬管理
UN 單位管理
TH 厚度
TT 臨時追蹤點
FROM 從臨時參照到偏移
ENDP 捕捉到圓弧或線的最近端點
MID 捕捉圓弧或線的中點
INT 線、圓、圓弧的交點
APPINT 兩個對象的外觀交點
EXT 線、圓弧、圓的延伸線
CEN 圓弧、圓心的圓心
QUA 圓弧或圓的象限點
TAN 圓弧或圓的限象點
PER 線、圓弧、圓的重足
PAR 直線的平行線
NOD 捕捉到點對象
INS 文字、塊、形、或屬性的插入點
NEA 最近點捕捉 A 圓弧
I 插入塊
T 多行文字
co 復制
MI 鏡像
AR 陣列
RO 旋轉
SC 比例
LE 引線管理器
EX 延伸
TR 修剪
ST 文字樣式管理器
DT 單行文字
PO 單點
XL 參照線
ML 多線
PL 多段線
POL 多邊形
REC 矩形
SPL 樣條曲線
EL 橢圓
CH 特性
CHA 倒角
BR 打斷
DI 查詢距離
AREA 面積
ID 點坐標
MA 特性匹配
MASSPROP 質量特性
LS 列表顯示
TIME 時間
SETTVAR 設置變數
LA 圖層
COLOR 顏色
LT 線型管理
LW 線寬管理
UN 單位管理
TH 厚度
DLI 線型標注
DAL 對齊標注
DOR 坐標標注
DDI 直徑標注
DAN 角度標注
QDIM 快速標注
DBA 基線標注
DCO 連續標注
LE 引線標注
TOL 公差標注
DLE 圓心標注
DRA 半徑標注
CAL 計算器
Alt+N+Q 快速
Alt+N+L 線型
Alt+N+G 對齊
Alt+N+O 坐標
Alt+N+R 半徑
Alt+N+D 直徑
Alt+N+A 角度
Alt+N+B 基線
Alt+N+C 連續
Alt+N+E 引線
Alt+N+T 公差
Alt+N+M 圓心
Alt+N+Q 傾斜
Alt+N+S 樣式
Alt+N+V 替代
Alt+N+U 更新
F1: 獲取幫助
F2: 實現作圖窗和文本窗口的切換
F3: 控制是否實現對象自動捕捉
F4: 數字化儀控制
F5: 等軸測平面切換
F6: 控制狀態行上坐標的顯示方式
F7: 柵格顯示模式控制
F8: 正交模式控制
F9: 柵格捕捉模式控制
F10: 極軸模式控制
F11: 對象追 蹤式控制
Ctrl+B: 柵格捕捉模式控制(F9)
Ctrl+C: 將選擇的對象復制到剪切板上
Ctrl+F: 控制是否實現對象自動捕捉(f3)
Ctrl+G: 柵格顯示模式控制(F7)
Ctrl+J: 重復執行上一步命令
Ctrl+K: 超級鏈接
Ctrl+N: 新建圖形文件
Ctrl+M: 打開選項對話框
AA: 測量區域和周長(area)
AL: 對齊(align)
AR: 陣列(array)
AP: 載入*lsp程系
AV: 打開 視圖對話框(dsviewer)
SE: 打開對相自動捕捉對話框
ST: 打開字體設置對話框(style)
SO: 繪制二圍面( 2d solid)
SP: 拼音的校核(spell)
SC: 縮放比例 (scale)
SN: 柵格捕捉模式設置(snap)
DT: 文本的設置(dtext)
DI: 測量兩點間的距離
OI: 插入外部對相
Ctrl+1: 打開特性對話框
Ctrl+2: 打開圖象資源管理器
Ctrl+6: 打開圖象數據原子
Ctrl+O: 打開圖象文件
Ctrl+P: 打開列印對說框
Ctrl+S: 保存文件
Ctrl+U: 極軸模式控制(F10)
Ctrl+v: 粘貼剪貼板上的內容
Ctrl+W: 對象追 蹤式控制(F11)
Ctrl+X: 剪切所選擇的內容
Ctrl+Y: 重做
Ctrl+Z: 取消前一步的操作

D. 我想要CAD口令快捷鍵

★繪圖命令
★直線:L
★用法:輸入命令L/回車/滑鼠指定第一點/輸入數值(也就是指定第二點)/回車(這時直線就畫出來了)/回車(結束命令)
★射線:RAY
★ 用法:輸入命令RAY/回車/滑鼠指定射線起點/指定通過點/回車(結束命令)
★構造線:XL
★ 用法:輸入命令XL/回車/滑鼠指定構造線起點/指定通過點/回車(結束命令)
★多段線:PL
★ 用法1:同直線命令
★ 用法2:輸入命令PL/回車/指定起點/輸入W(繪制帶有寬度的線★)/回車/指定線起點寬度/回車/指定線結束點寬度/回車/輸入數★值(線的長度值)/回車(結束命令)
★正多邊形:POL
★ 用法:輸入命令POL/回車/指定邊數/回車/滑鼠指定正多邊形★的中心點/輸入選項(C外切於圓;I內接於圓)/回車/輸入半徑/★回車(結束命令)
★矩形:REC
★ 用法1:輸入命令REC/回車/滑鼠指定第一角點/指定第二角點
★ 用法2:輸入命令REC/回車/輸入C(繪制帶有倒角的矩形)/回★車/輸入第一倒角值/回車/輸入第二倒角值/回車/滑鼠指定第 ★一角點/指定第二角點
★ 用法3:輸入命令REC/回車/輸入F(繪制帶有圓角的矩形)/回★車/輸入圓角半徑/回車/指定第一角點/指定第二角點
★圓弧:A
★ 用法:輸入命令A/回車/指定圓弧起點/指定圓弧中點/指定圓★弧結束點
★(繪制圓弧的方法有11種,可參考繪圖菜單---圓弧選項)
★圓:C
★ 用法:輸入命令C/回車/滑鼠指定圓心/輸入半徑值/回車(命★令結束)
★ (繪制圓的方法有6種,可參考繪圖菜單---圓選項)
★樣條曲線:SPL
★ 用法:輸入命令SPL/回車/滑鼠指定要繪制的范圍即可/需要三下回車結束命令
★橢圓:EL
★ 用法:輸入命令EL/回車/滑鼠指定橢圓的軸端點/指定軸的另★一個端點(可輸入數值★)/指定另一條半軸的長度(可輸入數★值)/(如果輸入數值需要回車結束命令,如果用★滑鼠直接指定則命令自動結束)
★橢圓弧:輸入命令EL/回車/輸入A/回車/指定橢圓弧的軸端點/指定軸的另一個端點/指定★另一條半軸長度/指定橢圓弧起始角度/指定橢圓弧結束角度
★圓環:DO
★ 用法:輸入命令DO/回車/輸入圓環內徑/回車/輸入圓環外徑/回車/滑鼠指定圓環圓心★點/回車(結束命令)
★點:PO
★ 用法:輸入命令PO/回車/滑鼠指定點的位置即可
★面域:REG
★ 用法:輸入命令REG/回車/選擇要創建面域的對象/回車(命令結束)
★面域相減命令:SU
★ 用法:先選擇被減面域,回車,再選擇減面域,再回車,OK!

★多行文本:T
★ 用法:輸入命令T/回車/滑鼠指定多行文本的第一角點/指定第二角點/輸入文本即可
★定義塊:B
★ 用法:輸入命令B/回車/設置對話框內容(塊名稱、選擇要定義為塊的對象、指定插入★的基點)/確定即可
★(定義塊指的是定義內部塊,只能在本文檔中使用)
★寫塊:W
★ 用法:輸入命令W/回車/設置對話框內容(塊名稱、選擇要定義為塊的對象、指定插入★的基點、選擇要保存塊的位置)/確定即可
(寫塊可以在多個文檔中多次使用,可理解為定義外部塊)
插入塊:I
用法:輸入命令I/回車/選擇要插入的塊確定即可
圖案填充:H
用法:輸入 命令H/回車/在圖案填充對話框中選擇你要填充的圖案,拾取填充對象內部點/回車/點擊確定即可
定數等分:DIV
用法:輸入命令DIV/回車/輸入等分數目/回車(命令結束)
三維拉伸:EXT
用法:輸入命令EXT/回車/選擇要拉伸對象/回車/輸入拉伸高度/回車/回車

三維旋轉:REV
用法:輸入命令REV/回車/選擇對象/回車/輸入O/回車/選擇旋轉軸/輸入旋轉角度/回車(命令結束)
(可用於三維旋轉的對象必須是多段線屬性)
二、修改工具
刪除:E
用法:輸入命令E/回車/選擇要刪除的對象/回車(命令結束)
復制:CO或CP
用法:輸入命令CO/回車/選擇要復制的對象/回車/滑鼠指定位移基點/指定第二位移點(開始復制)/回車可結束命令,不回車可多重復制
鏡像復制:MI
用法1:輸入命令MI/回車/選擇要鏡像復制的對象/回車/滑鼠指定鏡像線的第一點/指定第二點/回車(命令結束)
用法2:輸入命令MI/回車/選擇要鏡像的對象/回車/滑鼠指定鏡像線的第一點/指定第二點/輸入Y/回車(這樣可以只鏡像不復制)
偏移復制:O
用法:輸入命令O/回車/輸入偏移距離/回車/選擇要偏移復制的對象/開始偏移/回車(命令結束)
陣列復制:AR
用法:輸入命令AR/回車/設置陣列對話框(可選擇矩形或環形陣列)
移動:M
用法:輸入命令M/回車/選擇對象/回車/滑鼠指定位移基點/輸入移動距離或直接用滑鼠指定要移動的位置
旋轉:RO
用法:輸入命令RO/回車/選擇對象/回車/滑鼠指定旋轉基點/輸入旋轉角度(默認狀態下順時針為負值,逆時針為正值)/回車(命令結束)
比例:SC
用法:輸入命令SC/回車/選擇對象/回車/滑鼠指定縮放基點/輸入比例因子(正整值為放大,小數值為負)/回車(命令結束)
拉伸:S
用法:輸入命令S/回車/交叉選擇要拉伸的對象(意思是選對象的一半,要不然不能拉伸)/滑鼠指定拉伸基點,指定第二個點(開始拉伸,拉伸完以後命令自動結束)
修剪:TR
用法1:輸入命令TR/回車/選擇修剪邊界/回車/選擇要修剪的對象/回車(結束命令)(如果沒有邊界的對象只能刪除,無法修剪)
用法2:輸入命令TR/連續兩下回車(可以無邊界自定義修剪)/回車(結束命令)
用法3:輸入命令TR/連續兩下回車/輸入F/回車/滑鼠指定第一欄選點/指定第二欄選點/回車(結束命令)(這樣在欄選范圍內並且有邊界的對象將被修剪)
延伸:EX
用法:輸入命令EX/回車/選擇延伸邊界/回車/選擇延伸對象/回車(結束命令)
打斷及打斷於點:BR
用法:輸入命令BR/回車/選擇要打斷的對象/指定打斷的第二點
倒直角:CHA
用法:輸入命令CHA/回車/選擇第一條倒角邊/選擇第二條倒角邊
(倒直角命令可用於相連、相交或未相連的直線對象)
倒圓角:F
用法:輸入命令F/回車/輸入R/回車/輸入圓角半徑值/選擇第一條倒角邊/選擇第二條倒角邊
(倒圓角命令可用於相連、相交或未相連的直線對象)
文本修改:ED
用法:輸入命令ED/回車/選擇要修改的文本對象即可修改
編輯多段線:PE
用法:輸入命令PE/回車/輸入M/回車/選擇要編輯的多段線/回車/輸入編輯項J(J為編輯多段線合並項)/三下回車(結束命令)
(如果有需要多段線其他項的編輯根據命令行的提示輸入相應命令即可)
清理:PU
用法:輸入命令PU/回車/設置清理對話框即可
(清理命令可清理制圖過程中遺留下的多餘圖層)
分解:X
用法:輸入命令X/回車/選擇要分解對象/回車(結束命令)
三、對象特性
設計中心「Ctrl+2」: ADC
修改特性「Ctrl+1」: CH
屬性匹配:MA
用法:輸入命令MA/回車/選擇帶有特性的源對象/選擇目標對象/回車
文字樣式: ST
設置顏色:COL
圖層操作: LA
線形: LT
線形比例:LTS
線寬: LW
圖形單位:UN
屬性定義: ATT
編輯屬性:ATE
邊界創建,包括創建閉合多段線和面域:BO
對齊: AL
用法:輸入命令AL/回車/選擇對象/回車/指定第一個源點/指定第一個目標點/如果有下一個要對齊的源或目標點的話繼續指定,如果沒有則回車即可
輸出其它格式文件: EXP
輸入文件: IMP
自定義CAD設置: OP
重新生成:R
重命名: REN
捕捉柵格: SN
標注樣式管理器:D
設置捕捉模式: OS
列印預覽:PRE
工具欄: TO
命名視圖:V
面積:AA
用法:輸入命令AA/回車/滑鼠指定測量對象的第一個角點及第二和第三個/回車
距離: DI
用法:輸入命令DL/回車/滑鼠指定測量對象的第一點,第二點/注意觀察命令提示行信息即可。
顯示圖形數據信息:LI
四、尺寸標注
直線標註:DLI
對齊標註:DAL
半徑標註:DRA
直徑標註:DDI
角度標註:DAN
中心標註:DCE
點標註:DOR
標注形位公差:TOL
快速引出標註:LE
基線標註:DBA
連續標註:DCO
標注樣式:D
編輯標註:DED
替換標注系統變數:DOV
五、視圖操作:
平移:P
實時縮放:Z+空格+空格
局部放大:Z
返回上一視圖:Z+P
用法:輸入命令Z/回車/輸入P/回車
顯示全圖:Z+E
用法:輸入命令Z/回車/輸入E/回車

E. CAD 二次開發 如何增加CAD命令

第一個程序:畫一百個同心圓
第一步:復制下面的紅色代碼
第二步:在模型空間按快捷鍵Alt+F8,出現宏窗口
第三步:在宏名稱中填寫C100,點「創建」、「確定」
第四步:在Sub c100()和End Sub之間粘貼代碼
第五步:回到模型空間,再次按Alt+F8,點擊「運行」
Sub c100()
Dim cc(0 To 2) As Double '聲明坐標變數
cc(0) = 1000 '定義圓心座標
cc(1) = 1000
cc(2) = 0
For i = 1 To 1000 Step 10 '開始循環
Call ThisDrawing.ModelSpace.AddCircle(cc, i * 10) '畫圓
Next i
End Sub
也許您還看不懂上面的代碼,這沒有關系,只要能把同心畫出來就可以了,祝您成功。
第二課 編程基礎
本課主要任務是對上一課的常式進行詳細分析
下面是源碼:
Sub c100()
Dim cc(0 To 2) As Double '聲明坐標變數
cc(0) = 1000 '定義圓心座標
cc(1) = 1000
cc(2) = 0
For i = 1 To 1000 Step 10 '開始循環
Call ThisDrawing.ModelSpace.AddCircle(cc, i * 10) '畫圓
Next i
End Sub
先看第一行和最後一行:
Sub C100()
……
End Sub
C100是宏的名稱,也叫過程名稱,當用戶執行C100時程序將運行sub 和end sub之間的所有指令。
第二行:
Dim cc(0 To 2) As Double '聲明坐標變數
後半段「'聲明坐標變數」自動變為綠色字體,它是代碼語句的注釋,它不會影響程序運行,它的作用是告訴閱讀者程序員的想法。對於簡單的程序,一般不需要寫注釋,如果要編寫非常復雜的程序,最好要多加註釋,越詳細越好,對於程序員來說,這是一個好習慣。
電腦真正編譯執行的是這條語句:Dim cc(0 To 2) As Double
它的作用就是聲明變數。
Dim是一條語句,可以理解為計算機指令。
它的語法:Dim變數名 As 數據類型
本例中變數名為CC,而括弧中的0 to 2聲明這個CC是一個數組,這個數組有三個元素:CC(0)、CC(1)、CC(2),如果改為CC(1 to 3),則三個元素是CC(1)、CC(2)、CC(3),有了這個數組,就可以把坐標數值放到這個變數之中。
Double是數據類型中的一種。ACAD中一般需要定義坐標時就用這個數據類型。在ACAD中數據類型的有很多,下面兩個是比較常用的數據類型,初學者要有所理解。
Long(長整型),其范圍從 -2,147,483,648 到 2,147,483,647。
Variant 它是那些沒被顯式聲明為其他類型變數的數據類型,可以理解為一種通用的數據類型,這是最常用的。
下面三條語句
cc(0) = 1000 '定義圓心座標
cc(1) = 1000
cc(2) = 0
它們的作用是給CC變數的每一個元素賦,值其順序是X、Y、Z坐標。

For i = 1 To 1000 Step 10 '開始循環
……
Next i '結束循環
這兩條語句的作用是循環運行指令,每循環一次,i值要增加10,當i加到 1000時,結束循環。
i也是一個變數,雖然沒有聲明i變數,程序還是認可的,VB不是C語言,每用一個變數都要聲明,不聲明就會報錯。簡單是簡單了,這樣做也有壞處,如果不小心打錯了一個字母,程序不會報錯,如果程序很長,那就會出現一些意想不到的錯誤。
step後面的數值就是每次循環時增加的數值,step後也可以用負值。
例如:For i =1000 To 1 Step -10
很多情況下,後面可以不加step 10
如:For i=1 to 100,它的作用是每循環一次i值就增加1
Next i語句必須出現在需要結束循環的位置,不然程序沒法運行。
下面看畫圓命令:
Call ThisDrawing.ModelSpace.AddCircle(cc, i * 10)
Call語句的作用是調用其他過程或者方法。
ThisDrawing.ModelSpace是指當前CAD文檔的模型空間
AddCircle是畫圓方法
Addcicle方法需要兩個參數:圓心和半徑
CC就是圓心坐標,i*10就是圓的半徑,本例中,這些圓的半徑分別是10、110、210、310……
本課到此結束,下面請完成一道思考題:
1.以(4,2)為圓心,畫5個同心圓,其半徑為1-5
第三課 編程基礎二
繪制三維多段線時X、Y值在屏幕上用滑鼠選取,Z值用鍵盤輸入
本課將講解這個問題。
為了簡化程序,這里用多條直線來代替多段線。以下是源碼:
Sub myl()
Dim p1 As Variant '申明端點坐標
Dim p2 As Variant
p1 = ThisDrawing.Utility.GetPoint(, "輸入點:") '獲取點坐標
z = ThisDrawing.Utility.GetReal("Z坐標:") '用戶輸入Z坐標值
p1(2) = z '將Z坐標值賦予點坐標中
On Error GoTo Err_Control '出錯陷井
Do '開始循環
p2 = ThisDrawing.Utility.GetPoint(p1, vbCr & "輸入下一點:") '獲取下一個點的坐標
z = ThisDrawing.Utility.GetReal("Z坐標:") '用戶輸入Z坐標值
p2(2) = z '將Z坐標值賦予點坐標中
Call ThisDrawing.ModelSpace.AddLine(p1, p2) '畫直線
p1 = p2 '將第二點的端點保存為下一條直線的第一個端點坐標
Loop
Err_Control:
End Sub
先談一下本程序的設計思路:
1、獲取第一點坐標
2、輸入第一點Z坐標
3、獲取第二點坐標
4、輸入第二點Z坐標
5、以第一、二點為端點,畫直線
6、下一條線的第一點=這條線的第二點
7、回到第3步進行循環
如果用戶沒有輸入坐標或Z值,則程序結束。
首先看以下兩條語句:
p1 = ThisDrawing.Utility.GetPoint(, "輸入點:") 『獲取點坐標
……
p2 = ThisDrawing.Utility.GetPoint(p1, vbCr & "輸入下一點:") '獲取下一個點的坐標
這兩條語句的作用是由用戶輸入點用滑鼠選取點坐標,並把坐標值賦給p1、p2兩個變數。ThisDrawing.Utility.GetPoint()在ACAD中這是最常用的方法之一,它需要兩個參數,在逗號前面的參數應該是一個點坐標,它的作用是在屏幕上畫一條線,前一個端點位於點坐標位置,後一個端點跟隨滑鼠移動,逗號之前可以什麼都不填,這時沒有線條會跟隨滑鼠移動,但逗號必須保留。
逗號後面使用一串字元,程序在命令行顯示這串字元,這不難理解。
VbCr通常代表一個回車符,而在這個語句中,它的作用是在命令行不顯示「命令:」
&的作用是連接字元。舉例:
「愛我中華 」&」抵制日貨 」&」從我做起」
z = ThisDrawing.Utility.GetReal("Z坐標:") '用戶輸入Z坐標值
由用戶輸入一個實數
On Error GoTo Err_Control '出錯陷井
……
Err_Control:
On Error是出錯陷井語句,在程序出錯時將執行On Error 後面的語句
GoTo Err_contorl 是程序跳轉語句,它的作用是在程序中尋找Err_control:,並執行這一行後面的語句,本例中Err_Control:後就是結束宏,所以只要出現錯誤,程序中止。
Do '開始循環
……
Loop 『結束循環
這個循環就歷害了,它會無休止地進行循環,好在本例中已經有了一個出錯陷井,當用戶輸入回車時,由於程序沒有得到點或坐標,程序出錯,跳出循環,中止程序。如果要人為控制跳出循環,可以在代碼中用Exit Do語句跳出循環。在For 變數 和Next 變數之間如果要跳出循環,那麼只要在循環體內加一個Exit for 就可以跳出循環,關於這方面的常式以後會講到。
Call ThisDrawing.ModelSpace.AddLine(p1, p2) '畫直線
畫直線方法也是很常用的,它的兩個參數是點坐標變數
本課到此結束,請做思考題:
連續畫圓,每次要求用戶輸入圓心、半徑,當用戶不再輸入圓心或半徑時程序才退出
第四課 程序的調試和保存
人非聖賢,孰能無過,初學者在編寫復雜程序時往往會出現一些意想不到的錯誤,所以程序的調試顯得尤為重要,隨著學習的深入,以後我們需要經常進行程序調試。事實上,對於那些資深程序員來說,調試程序也是一項不可或缺的重要工作。
首先,在程序輸入階段,應該充分利用VBA編輯器的智能功能。當你在寫代碼時,輸入一些字母後,編輯器可以自動列出合適的語句、對象、函數供你選擇,可以用上下鍵選擇,然後按TAB鍵(它位於「Q」鍵左邊)確認。當輸入一個回車符後程序會自動對這條語句進行分析,如果出現錯誤就會提示。
我們經常碰到的麻煩是程序的運行結果和預計的不一樣,一般我會這樣做:首先要想一想可能是哪一個變數有問題,然後去監視這個變數(或表達式),在程序合適的位置設置斷點,這樣可以使程序停下來看一看這個變數有沒有按照我的設想在變化。下面我舉一個簡單的例子,先看源代碼:
sub test()
for i=2 to 4 step 0.6
next i
end sub
這是一個非常簡單的循環,每一次循環i便會增加0.6,當循環3次後i值就變為4.4,但問題是每一次循環時i值變為多少?
第一步:在菜單中選「調試」—「添加監視」,在表達試中填「i」,點擊確定,這時你會看到臨視窗口中會多一行。
第二步:把游標移到代碼窗口中的「next i」行,按一下「F9」,於是每當程序運行到這里時就會暫停了。
好,一切就緒,請按F5執行程序,在監視窗口中C值立刻變為2,再按F5繼續,C值為2.6,再按幾次F5,直到程序結束,這樣我們就成功監視了C值的變化。
第三步:在next i行再按一次F9,清除斷點。監視的表達式的右鍵菜單選擇「刪除監視」。
另外,還可以用「逐語句」、「逐過程」、「運行到游標處」等方法進行調試,這些都在調試菜單中,操作比較簡單,請讀者自行領悟。
到目前為止,我們所做的工程都是「嵌入式工程」,它只是嵌入在當前的Autocad圖形文件中, 以後打開這個文件時代碼才會載入,如果別的dwg文件也要使用,那就需要把代碼導出為.bas文件,供其他dwg文件導入。在VBA編輯器的「文件」菜單中有這兩個功能,一試便知。
ACAD VBA還有一種工程叫「通用式工程」,只要進入ACAD就可以運行,程序可以在不同用戶、不同的圖形文件中共享,但是由於VBA功能太強,有時候會出現一些意想不到的事情,所以在學習階段請暫時不要這樣做。
本課結束,請做思考題;監視下列代碼中的i和j的值,注意,此題雖然要監視2個變數,但是在代窗口中只要設置1個斷點就足夠了。
sub test()
for i=2 to 4 step 0.6
for j=-5 to 2 step 5.5
next j
next i
end sub
第五課 畫函數曲線
先畫一組下圖拋物線。

下面是源碼:
Sub myl()
Dim p(0 To 49) As Double '定義點坐標
Dim myl As Object '定義引用曲線對象變數
co = 15 '定義顏色
For a = 0.01 To 1 Step 0.02 '開始循環畫拋物線
For i = -24 To 24 Step 2 '開始畫多段線
j = i + 24 '確定數組元素
p(j) = i '橫坐標
p(j + 1) = a * p(j) * p(j) / 10 '縱坐標
Next i '至此p(0)-p(40)所有元素已定義,結束循環
Set myl = ThisDrawing.ModelSpace.AddLightWeightPolyline(p) '畫多段線
myl.Color = co '設置顏色屬性
co = co + 1 '改變顏色,供下次定義曲線顏色
Next a
End sub
為了鼓勵大家積極思考,從本課開始,我不再解釋每一條語句的作用,只對以前沒有提過的語句進行一些解釋,也許你一時很難明白,建議用上一課提到的跟蹤變數、添加斷點的辦法領悟每一條語句的作用。
在跟蹤變數p時請在跟蹤窗口中單擊變數p前的+號,這樣可以看清數組p中每一個元素的變化。
ACAD沒有現成的畫拋物線命令,我們只能用程序編寫多段線畫近似拋物線。理論上,拋物線的X值可以是無限小、無限大,這里取值范圍在正負24之間。
程序第二行:Dim myl As Object '定義引用曲線對象變數
Object也是一種變數類型,它可以把變數定義為對象,本例中myl變數將引用多段線,所以要定義為Objet類型。
看畫多段線命令:
Set myl = ThisDrawing.ModelSpace.AddLightWeightPolyline(p) '畫多段線
其中括弧中的p是一個數組,這個數組的元素數必須是偶數,每兩個元數作為一個點坐標。
等號前面部分「Set myl」的作用就將myl變數去引用畫好的多段線。
myl.Color = co '設置顏色屬性。在ACAD中,顏色可以用數字表示,本例中co會增值,這樣就會有五彩繽紛的效果。
本課第二張圖:正弦曲線,下面是源碼:
Sub sinl()
Dim p(0 To 719) As Double '定義點坐標
For i = 0 To 718 Step 2 '開始畫多段線
p(i) = i * 2 * 3.1415926535897 / 360 '橫坐標
p(i + 1) = 2 * Sin(p(i)) '縱坐標
Next i
ThisDrawing.ModelSpace.AddLightWeightPolyline (p) '畫多段線
ZoomExtents '顯示整個圖形
End Sub

p(i) = i * 2 * 3.1415926535897 / 360 '橫坐標
橫坐標表示角度,後面表達式的作用是把角度轉化弧度
ZoomExtents語句是縮放命令,它的作用是顯示整個圖形,消除圖形以外的區域
本課思考題:畫一條拋物線:y=0.5*x*x+3,其中X取值范圍在正負50之間
第六課 數據類型的轉換
上一節課我們用一個簡單的公式把角度轉化為弧度,這樣做便於大家理解。不過VBA中有現成的方法可以轉換數據類型。
我們舉例說明:
jd = ThisDrawing.Utility.AngleToReal(30, 0)
這個表達式把角度30度轉化為弧度,結果是.523598775598299。
AngleToReal需要兩個參數,前面是表示要轉換角度的數字,而後面一個參數可以取值為0-4之間的整數,有如下意義:
0:十進制角度;1:度分秒格式;2:梯度;3:弧度;4:測地單位
例:id= ThisDrawing.Utility.AngleToReal("62d30' 10""", 1)
這個表達式計算62度30分10秒的弧度
再看將字元串轉換為實數的方法:DistanceToReal
需要兩個參數,前一個參數是表示數值的字元串,後面可以取值1-5,表示數據格式,有如下意義:
1:科學計數;2:十進制;3:工程計數——英尺加英寸;4:建築計數——英尺加分數英寸;5:分數格式。
例:以下表達式得到一個12.5的實數
temp1 = ThisDrawing.Utility.DistanceToReal("1.25E+01", 1)
temp2 = ThisDrawing.Utility.DistanceToReal("12.5", 2)
temp3 = ThisDrawing.Utility.DistanceToReal("12 1/2", 5)
而realtostring方法正好相反,它把一個實數轉換為字元串。它需要3個參數
第一個參數是一個實數,第二個參數表示數據格式,含義同上,最後一個參數表示精確到幾位小數。
temp1= ThisDrawing.Utility.RealToString(12.5, 1, 3)
得到這個字元串:「1.250E+01」,
下面介紹一些數型轉換函數:
Cint,獲得一個整數,例:Cint(3.14159) ,得到3
Cvar,獲得一個Variant類型的數值,例:Cvar("123" & "00"),得到」12300」
Cdate,轉換為date數據類型,例:MyShortTime = CDate("11:13:14 AM")
下面的代碼可以寫出一串數字,從000-099。
Sub test()
Dim add0 As String
Dim text As String
Dim p(0 To 2) As Double
p(1) = 0 'Y坐標為0
p(2) = 0 'Z坐標為0
For i = 0 To 99 '開始循環
If i < 10 Then '如果小於10
add0 = "00" '需要加00
Else '否則
add0 = "0" '需要加0
End If
text = add0 & CStr(i) '加零,並轉換數據
p(0) = i * 100 'X坐標
Call ThisDrawing.ModelSpace.AddText(text, p, 4) '寫字
Next i

End Sub

重點解釋條件判斷語句:
If 條件表達式 Then
……
Else
……
End if
如果滿足條件那麼程序往下執行,到else時不再往下執行,直接跳到End if後面
如果不滿足條件,程序跳到else後往下運行。
Call ThisDrawing.ModelSpace.AddText(text, p, 4) '寫字
這是寫單行文本,需要三個參數,分別是:寫的內容、位置、字高
第七課 寫文字
客觀地說,ACAD寫字功能不夠歷害,而用VBA可以使寫字效率更高。比較正規的做法是把定義文字樣式,用樣式來控制文字的特性。我們還是用實例來學習,先看下面一段代碼,它的作用是先創建一個文字樣式,然後用這個文字樣式寫一段多行文本。
Sub txt()
Dim mytxt As AcadTextStyle '定義mytxt變數為文本樣式
Dim p(0 To 2) As Double '定義坐標變數
p(0) = 100: p(1) = 100: p(2) = 0 '坐標賦值
Set mytxt = ThisDrawing.TextStyles.Add("mytxt") '添加mytxt樣式
mytxt.fontFile = "c:\windows\fonts\simfang.ttf" '設置字體文件為仿宋體
mytxt.Height = 100 '字高
mytxt.Width = 0.8 '寬高比
mytxt.ObliqueAngle = ThisDrawing.Utility.AngleToReal(3, 0) '傾斜角度(需轉為弧度)

ThisDrawing.ActiveTextStyle = mytxt '將當前文字樣式設置為mytxt
Set txtobj = ThisDrawing.ModelSpace.AddMText(p, 1400, "\P" & "此心自光明正大,過人遠矣")
txtobj.LineSpacingFactor = 2 '指定行間距
txtobj.AttachmentPoint = 3 '右對齊(1為左對齊,2為居中)
End Sub
我們看這條語句
Set mytxt = ThisDrawing.TextStyles.Add("mytxt")
添加文本樣式並賦值給mytxt變數,只需要一個參數:文本樣式名
fontfile、height、width、ObliqueAngle是文本樣式最常用的屬性
Call ThisDrawing.ModelSpace.AddMText(p, 1400, "\P" & "此心自光明正大,過人遠矣")
這條語句是寫文本,需要三個參數。第一個參數p是坐標,1400是寬度,最後一個參數是文本內容,其中\p是一個回車符
擴大字元間距用\T數字,例:\T3abc,使文字abc的間距擴大3 部,n取值范圍是0.75-3
在論壇中有一個經常被同好提及的問題:如何使用文字疊加。舉例說明:123\S+0.12^-0.34
\S是格式字元,^是分隔符,前面的數字在上,後面的數字在下。
\C是顏色格式字元,C後面跟一個數字表示顏色
\A是對齊方式,\A0,\A1,\A2分別表示底部對齊、中間對齊和頂部對齊

夠不夠,不夠的話給個郵箱,我再發給你一個pdf文件!

F. 我想要CAD口令

CAD 全套鍵盤輸入命令 (一)字母類 1、對象特性 ADC, *ADCENTER(設計中心「Ctrl+2」) CH, MO *PROPERTIES(修改特性「Ctrl+1」) MA, *MATCHPROP(屬性匹配) (一)字母類 1、對象特性 ADC, *ADCENTER(設計中心「Ctrl+2」) CH, MO *PROPERTIES(修改特性「Ctrl+1」) MA, *MATCHPROP(屬性匹配) ST, *STYLE(文字樣式)
COL, *COLOR(設置顏色) LA, *LAYER(圖層****作) LT, *LINETYPE(線形) LTS, *LTSCALE(線形比例) LW, *LWEIGHT (線寬) UN, *UNITS(圖形單位) ATT, *ATTDEF(屬性定義) ATE, *ATTEDIT(編輯屬性) BO, *BOUNDARY(邊界創建,包括創建閉合多段線和面域) AL, *ALIGN(對齊) EXIT, *QUIT(退出) EXP, *EXPORT(輸出其它格式文件) IMP, *IMPORT(輸入文件) OP,PR *OPTIONS(自定義 CAD 設置) PRINT, *PLOT(列印) PU, *PURGE(清除**) R, *REDRAW(重新生成) REN, *RENAME(重命名) SN, *SNAP(捕捉柵格) DS, *DSETTINGS(設置極軸追蹤) OS, *OSNAP(設置捕捉模式) PRE, *PREVIEW(列印預覽) TO, *TOOLBAR(工具欄) V, *VIEW(命名視圖) AA, *AREA(面積) DI, *DIST(距離) LI, *LIST(顯示圖形數據信息) 2、AUTO CAD 快捷繪圖命令: PO, *POINT(點) L, *LINE(直線)
XL, *XLINE(射線) PL, *PLINE(多段線) ML, *MLINE(多線) SPL, *SPLINE(樣條曲線) POL, *POLYGON(正多邊形) REC, *RECTANGLE(矩形) C, *CIRCLE(圓) A, *ARC(圓弧) DO, *DONUT(圓環) EL, *ELLIPSE(橢圓) REG, *REGION(面域) MT, *MTEXT(多行文本) T, *MTEXT(多行文本) B, *BLOCK(塊定義) I, *INSERT(插入塊) W, *WBLOCK(定義塊文件) DIV, *DIVIDE(等分) H, *BHATCH(填充) 3、AUTO CAD 快捷修改命令: CO, *COPY(復制) MI, *MIRROR(鏡像) AR, *ARRAY(陣列) O, *OFFSET(偏移) RO, *ROTATE(旋轉) M, *MOVE(移動) E, DEL 鍵 *ERASE(刪除) X, *EXPLODE(分解) TR, *TRIM(修剪) EX, *EXTEND(延伸) S, *STRETCH(拉伸) LEN, *LENGTHEN(直線拉長) SC, *SCALE(比例縮放) BR, *BREAK(打斷) CHA, *CHAMFER(倒角) F, *FILLET(倒圓角) PE, *PEDIT(多段線編輯) ED, *DDEDIT(修改文本) 4、AUTO CAD 快捷視窗縮放: P, *PAN(平移) Z+空格+空格, *實時縮放 Z, *局部放大 Z+P, *返回上一視圖 Z+E, *顯示全圖 5、AUTO CAD 快捷尺寸標註:
DLI, *DIMLINEAR(直線標注) DAL, *DIMALIGNED(對齊標注) DRA, *DIMRADIUS(半徑標注) DDI, *DIMDIAMETER(直徑標注) DAN, *DIMANGULAR(角度標注) DCE, *DIMCENTER(中心標注) DOR, *DIMORDINATE(點標注) TOL, *TOLERANCE(標注形位公差) LE, *QLEADER(快速引出標注) DBA, *DIMBASELINE(基線標注) DCO, *DIMCONTINUE(連續標注) D, *DIMSTYLE(標注樣式) DED, *DIMEDIT(編輯標注) DOV, *DIMOVERRIDE(替換標注系統變數)
(二)AUTO CAD 快捷常用 CTRL 快捷鍵 【CTRL】+1 *PROPERTIES(修改特性) 【CTRL】+2 *ADCENTER(設計中心) 【CTRL】+O *OPEN(打開文件) 【CTRL】+N、M *NEW(新建文件) 【CTRL】+P *PRINT(列印文件) 【CTRL】+S *SAVE(保存文件) 【CTRL】+Z *UNDO(放棄) 【CTRL】+X *CUTCLIP(剪切) 【CTRL】+C *COPYCLIP(復制) 【CTRL】+V *PASTECLIP(粘貼) 【CTRL】+B *SNAP(柵格捕捉) 【CTRL】+F *OSNAP(對象捕捉) 【CTRL】+G *GRID(柵格) 【CTRL】+L *ORTHO(正交) 【CTRL】+W *(對象追蹤) 【CTRL】+U *(極軸) (三)AUTO CAD 快捷常用功能鍵 【F1】 *HELP(幫助) 【F2】 *(文本窗口) 【F3】 *OSNAP(對象捕捉) 【F7】 *GRIP(柵格) 【F8】 *ORTHO(正交)
COL, *COLOR(設置顏色) LA, *LAYER(圖層****作) LT, *LINETYPE(線形) LTS, *LTSCALE(線形比例)
LW, *LWEIGHT (線寬) UN, *UNITS(圖形單位) ATT, *ATTDEF(屬性定義) ATE, *ATTEDIT(編輯屬性) BO, *BOUNDARY(邊界創建,包括創建閉合多段線和面域) AL, *ALIGN(對齊) EXIT, *QUIT(退出) EXP, *EXPORT(輸出其它格式文件) IMP, *IMPORT(輸入文件) OP,PR *OPTIONS(自定義 CAD 設置) PRINT, *PLOT(列印) PU, *PURGE(清除**) R, *REDRAW(重新生成) REN, *RENAME(重命名) SN, *SNAP(捕捉柵格) DS, *DSETTINGS(設置極軸追蹤) OS, *OSNAP(設置捕捉模式) PRE, *PREVIEW(列印預覽) TO, *TOOLBAR(工具欄) V, *VIEW(命名視圖) AA, *AREA(面積) DI, *DIST(距離) LI, *LIST(顯示圖形數據信息) 2、AUTO CAD 快捷繪圖命令: PO, *POINT(點) L, *LINE(直線) XL, *XLINE(射線) PL, *PLINE(多段線) ML, *MLINE(多線) SPL, *SPLINE(樣條曲線) POL, *POLYGON(正多邊形) REC, *RECTANGLE(矩形) C, *CIRCLE(圓) A, *ARC(圓弧) DO, *DONUT(圓環) EL, *ELLIPSE(橢圓) REG, *REGION(面域) MT, *MTEXT(多行文本) T, *MTEXT(多行文本) B, *BLOCK(塊定義) I, *INSERT(插入塊) W, *WBLOCK(定義塊文件) DIV, *DIVIDE(等分) H, *BHATCH(填充)
3、AUTO CAD 快捷修改命令: CO, *COPY(復制) MI, *MIRROR(鏡像) AR, *ARRAY(陣列) O, *OFFSET(偏移) RO, *ROTATE(旋轉) M, *MOVE(移動) E, DEL 鍵 *ERASE(刪除) X, *EXPLODE(分解) TR, *TRIM(修剪) EX, *EXTEND(延伸) S, *STRETCH(拉伸) LEN, *LENGTHEN(直線拉長) SC, *SCALE(比例縮放) BR, *BREAK(打斷) CHA, *CHAMFER(倒角) F, *FILLET(倒圓角) PE, *PEDIT(多段線編輯) ED, *DDEDIT(修改文本) 4、AUTO CAD 快捷視窗縮放: P, *PAN(平移) Z+空格+空格, *實時縮放 Z, *局部放大 Z+P, *返回上一視圖 Z+E, *顯示全圖 5、AUTO CAD 快捷尺寸標註: DLI, *DIMLINEAR(直線標注) DAL, *DIMALIGNED(對齊標注) DRA, *DIMRADIUS(半徑標注) DDI, *DIMDIAMETER(直徑標注) DAN, *DIMANGULAR(角度標注) DCE, *DIMCENTER(中心標注) DOR, *DIMORDINATE(點標注) TOL, *TOLERANCE(標注形位公差) LE, *QLEADER(快速引出標注) DBA, *DIMBASELINE(基線標注) DCO, *DIMCONTINUE(連續標注) D, *DIMSTYLE(標注樣式) DED, *DIMEDIT(編輯標注) DOV, *DIMOVERRIDE(替換標注系統變數)
(二)AUTO CAD 快捷常用 CTRL 快捷鍵 【CTRL】+1 *PROPERTIES(修改特性) 【CTRL】+2 *ADCENTER(設計中心)
【CTRL】+O *OPEN(打開文件) 【CTRL】+N、M *NEW(新建文件) 【CTRL】+P *PRINT(列印文件) 【CTRL】+S *SAVE(保存文件) 【CTRL】+Z *UNDO(放棄) 【CTRL】+X *CUTCLIP(剪切) 【CTRL】+C *COPYCLIP(復制) 【CTRL】+V *PASTECLIP(粘貼) 【CTRL】+B *SNAP(柵格捕捉) 【CTRL】+F *OSNAP(對象捕捉) 【CTRL】+G *GRID(柵格) 【CTRL】+L *ORTHO(正交) 【CTRL】+W *(對象追蹤) 【CTRL】+U *(極軸) (三)AUTO CAD 快捷常用功能鍵 【F1】 *HELP(幫助) 【F2】 *(文本窗口) 【F3】 *OSNAP(對象捕捉) 【F7】 *GRIP(柵格) 【F8】 *ORTHO(正交)

G. 在cad中怎樣添加工具欄中沒有的命令啊

如何給ACAD工具條添加命令及相應圖標
以cad2004為例
cad的工具條並沒有顯示所有可用命令,在需要時用戶要自己添加。
例如繪圖工具條中默認沒有多線命令(mline),就要自己添加。
做法如下:
視圖->工具欄->命令選項卡,選中繪圖右側窗口顯示相應命令
這時找到「多線」,點左鍵把它脫出,若不放到任何已有工具條中,則它以單獨工具條出現;否則成為已有工具條一員。
這時又發現剛拖出的「多線」命令沒有圖標!!就要為他添加圖標。
做法如下:
把命令拖出後,不要關閉自定義窗口,單擊「多線」命令,在彈出的面板的右下角,給它選擇相應的圖標!
這時,我們還可以發現,cad允許我們給每個命令自定義圖標。這樣作個個性化工具條就變得easy了!!
最後,要刪除命令,重復以上操作,把要刪除命令拖回,然後在確認要求中選「是」就
參考資料:
http://bbs.cmiw.cn/forums/29407/ShowPost.aspx

H. CAD的口令

CAD中的快捷鍵有很多,這些命令利用工具欄和菜單欄同樣可以完成,當然輸入命令肯定會方便一點.下面就說一下,比較低多,有的很少用,可以找下常用記一下.: 創建圓弧 A AREA:計算對象或指定區域的面積和周長 AA ARRAY:創建按指定方式排列的多重對象副本 AR ATTDEF:創建屬性定義 ATT ATTEDIT:改變屬性信息 ATE ATTEXT:提取屬性數據 DDATTEXT BHATCH:使用圖案填充封閉區域或選定對象 H、BH BLOCK:根據選定對象創建塊定義 B BOUNDARY:從封閉區域創建面域或多段線 BO BREAK:部分刪除對象或把對象分解為兩部分 BR CHAMFER:給對象的邊加倒角 CHA CHANGE:修改現有對象的特性 -CH CIRCLE:創建圓形 C COLOR:定義新對象的顏色 COL COPY:復制對象 CO、CP DBCONNECT:為外部資料庫表提供 AutoCAD 介面 AAD、AEX、ALI、ASQ、ARO、ASE、DBC DDEDIT:編輯文字和屬性定義 ED DDVPOINT:設置三維觀察方向 VP DIMALIGNED:創建對齊線性標注 DAL DIMANGULAR:創建角度標注 DAN DIMBASELINE:從上一個或選定標注的基線處創建線性、角度或坐標標注 DBA DIMCENTER:創建圓和圓弧的圓心標記或中心線 DCE DIMCONTINUE:從上一個或選定標注的第二尺寸界線處創建線性、角度或坐標標注 DCO DIMDIAMETER:創建圓和圓弧的直徑標注 DDI DIMEDIT:編輯標注 DED DIMLINEAR:創建線性尺寸標注 DLI DIMORDINATE:創建坐標點標注 DOR DIMOVERRIDE:替代標注系統變數 DOV DIMRADIUS:創建圓和圓弧的半徑標注 DRA DIMSTYLE:創建或修改標注樣式 D DIMTEDIT:移動和旋轉標注文字 DIMTED DIST:測量兩點之間的距離和角度 DI DIVIDE:將點對象或塊沿對象的長度或周長等間隔排列 DIV DONUT:繪制填充的圓和環 DO DRAWORDER:修改圖像和其他對象的顯示順序 DR DSETTINGS:指定捕捉模式、柵格、極坐標和對象捕捉追蹤的設置 DS、RM、SE DSVIEWER:打開「鳥瞰視圖」窗口 AV DVIEW:定義平行投影或透視視圖 DV ELLIPSE:創建橢圓或橢圓弧 EL ERASE:從圖形中刪除對象 E EXPLODE:將組合對象分解為對象組件 X EXPORT:以其他文件格式保存對象 EXP EXTEND:延伸對象到另一對象 EX EXTRUDE:通過拉伸現有二維對象來創建三維原型 EXT FILLET:給對象的邊加圓角 F FILTER:創建可重復使用的過濾器以便根據特性選擇對象 FI GROUP:創建對象的命名選擇集 G HATCH:用圖案填充一塊指定邊界的區域 -H HATCHEDIT:修改現有的圖案填充對象 HE HIDE:重生成三維模型時不顯示隱藏線 HI IMAGE:管理圖像 IM IMAGEADJUST:控制選定圖像的亮度、對比度和褪色度 IAD IMAGEATTACH:向當前圖形中附著新的圖像對象 IAT IMAGECLIP:為圖像對象創建新剪裁邊界 ICL IMPORT:向 AutoCAD 輸入文件 IMP INSERT:將命名塊或圖形插入到當前圖形中 I INTERFERE:用兩個或多個三維實體的公用部分創建三維復合實體 INF INTERSECT:用兩個或多個實體或面域的交集創建復合實體或面域並刪除交集以外的部分 IN INSERTOBJ:插入鏈接或嵌入對象 IO LAYER:管理圖層和圖層特性 LA -LAYOUT:創建新布局,重命名、復制、保存或刪除現有布局 LO LEADER:創建一條引線將注釋與一個幾何特徵相連 LEAD LENGTHEN:拉長對象 LEN LINE:創建直線段 L LINETYPE:創建、載入和設置線型 LT LIST:顯示選定對象的資料庫信息 LI、LS LTSCALE:設置線型比例因子 LTS LWEIGHT: LW MATCHPROP:設置當前線寬、線寬顯示選項和線寬單位 MA MEASURE:將點對象或塊按指定的間距放置 ME MIRROR:創建對象的鏡像副本 MI MLINE:創建多重平行線 ML MOVE:在指定方向上按指定距離移動對象 M MSPACE:從圖紙空間切到模型空間視口 MS MTEXT:創建多行文字 T、MT MVIEW:創建浮動視口和打開現有的浮動視口 MV OFFSET:創建同心圓、平行線和平行曲線 O OPTIONS:自定義 AutoCAD 設置 GR、OP、PR OSNAP:設置對象捕捉模式 OS PAN:移動當前視口中顯示的圖形 P PASTESPEC:插入剪貼板數據並控制數據格式 PA PEDIT:編輯多段線和三維多邊形網格 PE PLINE:創建二維多段線 PL PRINT :將圖形列印到列印設備或文件 PLOT POINT:創建點對象 PO POLYGON:創建閉合的等邊多段線 POL PREVIEW:顯示列印圖形的效果 PRE PROPERTIES:控制現有對象的特性 CH、MO PROPERTIESCLOSE:關閉「特性」窗口 PRCLOSE PSPACE:從模型空間視口切換到圖紙空間 PS PURGE:刪除圖形資料庫中沒有使用的命名對象,例如塊或圖層 PU QLEADER:快速創建引線和引線注釋 LE QUIT:退出 AutoCAD EXIT RECTANG:繪制矩形多段線 REC REDRAW:刷新顯示當前視口 R REDRAWALL:刷新顯示所有視口 RA REGEN:重生成圖形並刷新顯示當前視口 RE REGENALL:重新生成圖形並刷新所有視口 REA REGION:從現有對象的選擇集中創建面域對象 REG RENAME:修改對象名 REN RENDER:創建三維線框或實體模型的具有真實感的渲染圖像 RR REVOLVE:繞軸旋轉二維對象以創建實體 REV RPREF:設置渲染系統配置 RPR ROTATE:繞基點移動對象 RO SCALE:在 X、Y 和 Z 方向等比例放大或縮小對象 SC SCRIPT:用腳本文件執行一系列命令 SCR SECTION:用剖切平面和實體截交創建面域 SEC SETVAR:列出系統變數並修改變數值 SET SLICE:用平面剖切一組實體 SL SNAP:規定游標按指定的間距移動 SN SOLID:創建二維填充多邊形 SO SPELL:檢查圖形中文字的拼寫 SP SPLINE:創建二次或三次 (NURBS) 樣條曲線 SPL SPLINEDIT:編輯樣條曲線對象 SPE STRETCH:移動或拉伸對象 S STYLE:創建或修改已命名的文字樣式以及設置圖形中文字的當前樣式 ST SUBTRACT:用差集創建組合面域或實體 SU TABLET:校準、配置、打開和關閉已安裝的數字化儀 TA THICKNESS:設置當前三維實體的厚度 TH TILEMODE:使「模型」選項卡或最後一個布局選項卡當前化 TI、TM TOLERANCE:創建形位公差標注 TOL TOOLBAR:顯示、隱藏和自定義工具欄 TO TORUS:創建圓環形實體 TOR TRIM:用其他對象定義的剪切邊修剪對象 TR UNION:通過並運算創建組合面域或實體 UNI UNITS:設置坐標和角度的顯示格式和精度 UN VIEW:保存和恢復已命名的視圖 V VPOINT:設置圖形的三維直觀圖的查看方向 -VP WBLOCK:將塊對象寫入新圖形文件 W WEDGE:創建三維實體使其傾斜面尖端沿 X 軸正向 WE XATTACH:將外部參照附著到當前圖形中 XA XBIND:將外部參照依賴符號綁定到圖形中 XB XCLIP:定義外部參照或塊剪裁邊界,並且設置前剪裁面和後剪裁面 XC XLINE:創建無限長的直線(即參照線) XL XREF:控制圖形中的外部參照 XR ZOOM:放大或縮小當前視口對象的外觀尺寸。

I. cad怎麼增加快捷鍵命令

CAD的快捷鍵有很多,但有的地方還是不夠用,那麼大家知道cad怎麼增加快捷鍵命令嗎?下面是我整理的cad怎麼增加快捷鍵命令的 方法 ,希望能給大家解答。
cad增加快捷鍵命令的方法
第一步:工具——自定義——編輯程序參數(acad.pgp)

第二步:向下拉動右側的滾動條,拉到大概中間的位置,會看到很多前面快捷鍵,中間*號,後面命令的全稱的地方

第三步:把你想用快捷鍵的命令寫在*號後面,快捷鍵寫在*號前面,參照別的快捷鍵的寫法,然後保存-退出。關了CAD再重新啟動就可以了。